package com.trs.ggzyexchange.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.trs.ggzyexchange.entity.GcPerformance;
import com.trs.ggzyexchange.entity.TenderDetailsVo;
import com.trs.ggzyexchange.mapper.GcPerformanceMapper;
import com.trs.ggzyexchange.service.GcPerformanceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 合同履约 服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-03-03
 */
@Service
public class GcPerformanceServiceImpl extends ServiceImpl<GcPerformanceMapper, GcPerformance> implements GcPerformanceService {

    @Autowired
    private GcPerformanceMapper gcPerformanceMapper;

    @Override
    public IPage<TenderDetailsVo> queryGcBidcandidateAllList(Page<GcPerformance> page) {
        return gcPerformanceMapper.queryGcBidcandidateAllList(page);
    }

    @Override
    public IPage<TenderDetailsVo> queryGcBidcandidateAllListByTime(Page<GcPerformance> page, Long time) {
        return gcPerformanceMapper.queryGcBidcandidateAllListByTime(page,time);
    }

    @Override
    public Long maxDataTimeStamp() {
        Long aLong = gcPerformanceMapper.maxDataTimeStamp();
        try{
            if(!ObjectUtils.isEmpty(aLong)){
                if(aLong != 0){
                    String sLong = ((aLong+"").substring(0,8)) + "000000";
                    aLong = Long.parseLong(sLong);
                }
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return aLong;
    }
}
